#!/usr/bin/env python3
from argon2 import PasswordHasher


def hash_password(password):
    return PasswordHasher().hash(password)


def verify_password(hash, password):
    password_hasher = PasswordHasher()
    try: 
        if password_hasher.verify(hash, password):
            print("Hasło poprawne")
    except:
        print("Hasło niepoprawne")


if __name__ == "__main__":
    first = input("Podaj hasło: ")
    hash = hash_password(first)
    print(hash)
    second = input("Podaj hasło: ")
    verify_password(hash=hash, password=second)
